#include<bits/stdc++.h>
using namespace std;
bool ktra(int x, int i)
{
    if(x<2) return false;
    else if(i==1) return true;
    else if(x%i==0) return false;
    else ktra(x, i-1);
}
int main()
{
    ifstream fi("dqnt.inp");
    ofstream fo("dqnt.out");
    int n;
    fi>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        fi>>a[i];
    }
    int dem=0;
    sort(a,a+n);
    for(int i=0; i<n; i++)
    {
        if(ktra(a[i], sqrt(a[i])))
        {
            dem++;
            fo<<a[i]<<' ';
        }
    }
    if(dem==0)
    {
        fo<<-1;
    }
}
